commit:     14dc153dcf85fc70fa7a874667f9506a6f85b6d6
Author:     Thomas Sachau <tommy <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 11:40:22 2019 +0000
Commit:     Thomas Sachau <tommy <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 11:40:22 2019 +0000
URL:        
https://gitweb.gentoo.org/proj/multilib-portage.git/commit/?id=14dc153d

sys-apps/portage: Version bump

Package-Manager: Portage-2.3.52, Repoman-2.3.12
RepoMan-Options: --force
Manifest-Sign-Key: 0xC05330B3211CA2D4
Signed-off-by: Thomas Sachau <tommy <AT> gentoo.org>

 sys-apps/portage/Manifest              |  11 +-
 sys-apps/portage/portage-2.3.62.ebuild | 277 +++++++++++++++++++++++++++++++++
 2 files changed, 283 insertions(+), 5 deletions(-)

diff --git a/sys-apps/portage/Manifest b/sys-apps/portage/Manifest
index f0606db8c..b50568742 100644
--- a/sys-apps/portage/Manifest
+++ b/sys-apps/portage/Manifest
@@ -5,12 +5,13 @@ AUX README.RESCUE 137 BLAKE2B 
af986752f516bf1925852271f2cea558fe02990c1180ac696c
 AUX portage-ccache.conf 60 BLAKE2B 
b45ac69ba4bf6b221191ab9618aa484948ad8765ae906402e83df4b72fd10e006621523fe5b6d59219318a978e368649047784bb85771cd189b2542a2e19f941
 SHA512 
36427e57046118ecf982fc3b1a80a3543b5682e3eef7df5dfc8a50b261a5da56f997dd75f63c5194049aceea204c37aee638a3bc383b9f7a0eff8ac9c35f3b1c
 EBUILD portage-2.3.48.ebuild 9180 BLAKE2B 
f0ef7de50ec4cbbd8aba17a54de8daccb26ebaa285a413e28a21a8445a728d564a0cc5653392bb6489f56e1195bb9f734174231926552e56ab989a01f3a0166c
 SHA512 
1bc66f56d8bf7c49cd543b8e95053f5753bbf0951dceea788d7c48b71948c32051ffdf63b81c501ac9f8fadb6af3575c5a391b06909e66925088fa22e0ad6e4e
 EBUILD portage-2.3.52.ebuild 9177 BLAKE2B 
9582e49b6f99b0fe143c4fdbbdc860df052124b7223a51666a7739b8460cf87c0e845753de93360820f6af610e9977a72b6bb245fdba23915619c37b191378d9
 SHA512 
d726efed19ebe00514e57bd5ce7bd5e549aaa7164ce003eee36cab792288a7ce628fda61ec4be7eba229eece6449da8c52b276fe74c7e979fa762fd5558e1daf
+EBUILD portage-2.3.62.ebuild 9313 BLAKE2B 
791935ee2bcdda2507dfe709cf198103b7bf4c1379ad66ac73655367cef90b4812a111e85cb08ed942d4bc65b0d4361d5927714739aec84e1fd3555ec5178cfd
 SHA512 
c17efef67c6e1f9b65acd05d1e9aa0cd81e5b53438530529d7cb991baa2fab4d5346bbe6cc46589a8c20fff35e273ef62b9c17a02d302db891fc2ccf1479801b
 MISC metadata.xml 1415 BLAKE2B 
0bad16a272e536342079102034e68130eb96a93e46fb811d1c89d00a4b4bf911f8cf42a93bb4d8fae8086c9e47601a709bd4fa5fb41c3e754c1f08c2f7acbe33
 SHA512 
a4556fbc0ae69691bff793e73b504e9898a5ec187df28d23a37a3290a94c78d4eaa3a3ac70a997c6456be9b72281916965fdea6a057df58aa15090f630d2ce59
 -----BEGIN PGP SIGNATURE-----
 
-iLMEAQEIAB0WIQQUEEce6kYbCwkDe/sbuSpxNYmQZwUCXI4v1wAKCRAbuSpxNYmQ
-Z0tUA/94DNka/e0klp5zk0ahHNS2cQsP13DeO7EvGktWesJR+QAta463/1RA0mkz
-R4SOXOhQqdvag5RDROTzXkHHV1Gt80Zigc0xKCpplSgwpUnSpBjxjXLy9LrHkvQy
-bX/PBYDygxUmTpVaRZ1LP+zfF8Xb6Gz5jUMghHua67/YgpUzfA==
-=/kDN
+iLMEAQEIAB0WIQQUEEce6kYbCwkDe/sbuSpxNYmQZwUCXI4yIQAKCRAbuSpxNYmQ
+Z1/kA/43MIHniq4mN/nfKRa7EougrMFcHayXu2cEA2qdvSs9zfjEvafA7e/bn5AZ
+SavaW9yLcwc1s9KmqN/2SL6AYz/HbYhA86KnWje1gJTNTmMjJoVKgtzTCnDbVjCM
+cjZ3vPnIkbvdRV4n6w+RJCzLeWVzivNs9gjjXLnVPhWv28kBvQ==
+=CYJu
 -----END PGP SIGNATURE-----

diff --git a/sys-apps/portage/portage-2.3.62.ebuild 
b/sys-apps/portage/portage-2.3.62.ebuild
new file mode 100644
index 000000000..61d17e9bb
--- /dev/null
+++ b/sys-apps/portage/portage-2.3.62.ebuild
@@ -0,0 +1,277 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=(
+       pypy
+       python3_4 python3_5 python3_6 python3_7
+       python2_7
+)
+PYTHON_REQ_USE='bzip2(+),threads(+)'
+
+inherit distutils-r1 git-2 linux-info multilib systemd
+
+EGIT_REPO_URI="git://anongit.gentoo.org/proj/portage.git"
+EGIT_BRANCH="multilib"
+EGIT_COMMIT="88a712b0cf17c1bc47de174f8f1219d24912eee6"
+DESCRIPTION="Portage is the package management and distribution system for 
Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage";
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-fbsd"
+SLOT="0"
+IUSE="build doc epydoc gentoo-dev +ipc +native-extensions +rsync-verify 
selinux xattr"
+
+DEPEND="!build? ( $(python_gen_impl_dep 'ssl(+)') )
+       >=app-arch/tar-1.27
+       dev-lang/python-exec:2
+       >=sys-apps/sed-4.0.5 sys-devel/patch
+       doc? ( app-text/xmlto ~app-text/docbook-xml-dtd-4.4 )
+       >=sys-apps/abi-wrapper-1.0-r6
+       epydoc? ( >=dev-python/epydoc-2.0[$(python_gen_usedep 'python2*')] )"
+# Require sandbox-2.2 for bug #288863.
+# For xattr, we can spawn getfattr and setfattr from sys-apps/attr, but that's
+# quite slow, so it's not considered in the dependencies as an alternative to
+# to python-3.3 / pyxattr. Also, xattr support is only tested with Linux, so
+# for now, don't pull in xattr deps for other kernels.
+# For whirlpool hash, require python[ssl] (bug #425046).
+# For compgen, require bash[readline] (bug #445576).
+# app-portage/gemato goes without PYTHON_USEDEP since we're calling
+# the executable.
+RDEPEND="
+       >=app-arch/tar-1.27
+       dev-lang/python-exec:2
+       !build? (
+               >=sys-apps/sed-4.0.5
+               app-shells/bash:0[readline]
+               >=app-admin/eselect-1.2
+               $(python_gen_cond_dep 'dev-python/pyblake2[${PYTHON_USEDEP}]' \
+                       python{2_7,3_4,3_5} pypy)
+               rsync-verify? (
+                       >=app-portage/gemato-14[${PYTHON_USEDEP}]
+                       >=app-crypt/openpgp-keys-gentoo-release-20180706
+                       >=app-crypt/gnupg-2.2.4-r2[ssl(-)]
+               )
+       )
+       elibc_FreeBSD? ( sys-freebsd/freebsd-bin )
+       elibc_glibc? ( >=sys-apps/sandbox-2.2 )
+       elibc_musl? ( >=sys-apps/sandbox-2.2 )
+       elibc_uclibc? ( >=sys-apps/sandbox-2.2 )
+       kernel_linux? ( sys-apps/util-linux )
+       >=app-misc/pax-utils-0.1.17
+       selinux? ( >=sys-libs/libselinux-2.0.94[python,${PYTHON_USEDEP}] )
+       xattr? ( kernel_linux? (
+               >=sys-apps/install-xattr-0.3
+               $(python_gen_cond_dep 'dev-python/pyxattr[${PYTHON_USEDEP}]' \
+                       python2_7 pypy)
+       ) )
+       !<app-admin/logrotate-3.8.0
+       >=sys-apps/abi-wrapper-1.0-r6
+       !<app-portage/repoman-2.3.10"
+PDEPEND="
+       !build? (
+               >=net-misc/rsync-2.6.4
+               userland_GNU? ( >=sys-apps/coreutils-6.4 )
+       )"
+# coreutils-6.4 rdep is for date format in emerge-webrsync #164532
+# NOTE: FEATURES=installsources requires debugedit and rsync
+
+REQUIRED_USE="epydoc? ( $(python_gen_useflags 'python2*') )"
+
+pkg_pretend() {
+       local CONFIG_CHECK="~IPC_NS ~PID_NS ~NET_NS"
+
+       check_extra_config
+}
+
+pkg_setup() {
+       use epydoc && DISTUTILS_ALL_SUBPHASE_IMPLS=( python2.7 )
+}
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       if use gentoo-dev; then
+               einfo "Disabling --dynamic-deps by default for gentoo-dev..."
+               sed -e 's:\("--dynamic-deps", \)\("y"\):\1"n":' \
+                       -i lib/_emerge/create_depgraph_params.py || \
+                       die "failed to patch create_depgraph_params.py"
+
+               einfo "Enabling additional FEATURES for gentoo-dev..."
+               echo 'FEATURES="${FEATURES} ipc-sandbox network-sandbox 
strict-keepdir"' \
+                       >> cnf/make.globals || die
+       fi
+
+       if use native-extensions; then
+               printf "[build_ext]\nportage-ext-modules=true\n" >> \
+                       setup.cfg || die
+       fi
+
+       if ! use ipc ; then
+               einfo "Disabling ipc..."
+               sed -e "s:_enable_ipc_daemon = True:_enable_ipc_daemon = 
False:" \
+                       -i lib/_emerge/AbstractEbuildProcess.py || \
+                       die "failed to patch AbstractEbuildProcess.py"
+       fi
+
+       if use xattr && use kernel_linux ; then
+               einfo "Adding FEATURES=xattr to make.globals ..."
+               echo -e '\nFEATURES="${FEATURES} xattr"' >> cnf/make.globals \
+                       || die "failed to append to make.globals"
+       fi
+
+       if use build || ! use rsync-verify; then
+               sed -e '/^sync-rsync-verify-metamanifest/s|yes|no|' \
+                       -i cnf/repos.conf || die "sed failed"
+       fi
+
+       if [[ -n ${EPREFIX} ]] ; then
+               einfo "Setting portage.const.EPREFIX ..."
+               sed -e 
"s|^\(SANDBOX_BINARY[[:space:]]*=[[:space:]]*\"\)\(/usr/bin/sandbox\"\)|\\1${EPREFIX}\\2|"
 \
+                       -e 
"s|^\(FAKEROOT_BINARY[[:space:]]*=[[:space:]]*\"\)\(/usr/bin/fakeroot\"\)|\\1${EPREFIX}\\2|"
 \
+                       -e 
"s|^\(BASH_BINARY[[:space:]]*=[[:space:]]*\"\)\(/bin/bash\"\)|\\1${EPREFIX}\\2|"
 \
+                       -e 
"s|^\(MOVE_BINARY[[:space:]]*=[[:space:]]*\"\)\(/bin/mv\"\)|\\1${EPREFIX}\\2|" \
+                       -e 
"s|^\(PRELINK_BINARY[[:space:]]*=[[:space:]]*\"\)\(/usr/sbin/prelink\"\)|\\1${EPREFIX}\\2|"
 \
+                       -e 
"s|^\(EPREFIX[[:space:]]*=[[:space:]]*\"\).*|\\1${EPREFIX}\"|" \
+                       -i lib/portage/const.py || \
+                       die "Failed to patch portage.const.EPREFIX"
+
+               einfo "Prefixing shebangs ..."
+               while read -r -d $'\0' ; do
+                       local shebang=$(head -n1 "$REPLY")
+                       if [[ ${shebang} == "#!"* && ! ${shebang} == 
"#!${EPREFIX}/"* ]] ; then
+                               sed -i -e "1s:.*:#!${EPREFIX}${shebang:2}:" 
"$REPLY" || \
+                                       die "sed failed"
+                       fi
+               done < <(find . -type f -print0)
+
+               einfo "Adjusting make.globals ..."
+               sed -e "s|\(/usr/portage\)|${EPREFIX}\\1|" \
+                       -e 
"s|^\(PORTAGE_TMPDIR=\"\)\(/var/tmp\"\)|\\1${EPREFIX}\\2|" \
+                       -i cnf/make.globals || die "sed failed"
+
+               einfo "Adjusting repos.conf ..."
+               sed -e "s|^\(location = \)\(/usr/portage\)|\\1${EPREFIX}\\2|" \
+                       -e "s|^\(sync-openpgp-key-path = 
\)\(.*\)|\\1${EPREFIX}\\2|" \
+                       -i cnf/repos.conf || die "sed failed"
+               if use prefix-guest ; then
+                       sed -e "s|^\(main-repo = \).*|\\1gentoo_prefix|" \
+                               -e "s|^\\[gentoo\\]|[gentoo_prefix]|" \
+                               -e "s|^\(sync-uri = 
\).*|\\1rsync://rsync.prefix.bitzolder.nl/gentoo-portage-prefix|" \
+                               -i cnf/repos.conf || die "sed failed"
+               fi
+
+               einfo "Adding FEATURES=force-prefix to make.globals ..."
+               echo -e '\nFEATURES="${FEATURES} force-prefix"' >> 
cnf/make.globals \
+                       || die "failed to append to make.globals"
+       fi
+
+       cd "${S}/cnf" || die
+       if [ -f "make.conf.example.${ARCH}".diff ]; then
+               patch make.conf.example "make.conf.example.${ARCH}".diff || \
+                       die "Failed to patch make.conf.example"
+       else
+               eerror ""
+               eerror "Portage does not have an arch-specific configuration 
for this arch."
+               eerror "Please notify the arch maintainer about this issue. 
Using generic."
+               eerror ""
+       fi
+}
+
+python_compile_all() {
+       local targets=()
+       use doc && targets+=( docbook )
+       use epydoc && targets+=( epydoc )
+
+       if [[ ${targets[@]} ]]; then
+               esetup.py "${targets[@]}"
+       fi
+}
+
+python_test() {
+       esetup.py test
+}
+
+python_install() {
+       # Install sbin scripts to bindir for python-exec linking
+       # they will be relocated in pkg_preinst()
+       distutils-r1_python_install \
+               --system-prefix="${EPREFIX}/usr" \
+               --bindir="$(python_get_scriptdir)" \
+               --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html" \
+               --portage-bindir="${EPREFIX}/usr/lib/portage/${EPYTHON}" \
+               --sbindir="$(python_get_scriptdir)" \
+               --sysconfdir="${EPREFIX}/etc" \
+               "${@}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       local targets=()
+       use doc && targets+=(
+               install_docbook
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
+       use epydoc && targets+=(
+               install_epydoc
+               --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+       )
+
+       # install docs
+       if [[ ${targets[@]} ]]; then
+               esetup.py "${targets[@]}"
+       fi
+
+       systemd_dotmpfilesd "${FILESDIR}"/portage-ccache.conf
+
+       # Due to distutils/python-exec limitations
+       # these must be installed to /usr/bin.
+       local sbin_relocations='archive-conf dispatch-conf emaint env-update 
etc-update fixpackages regenworld'
+       einfo "Moving admin scripts to the correct directory"
+       dodir /usr/sbin
+       for target in ${sbin_relocations}; do
+               einfo "Moving /usr/bin/${target} to /usr/sbin/${target}"
+               mv "${ED}usr/bin/${target}" "${ED}usr/sbin/${target}" || die 
"sbin scripts move failed!"
+       done
+}
+
+pkg_preinst() {
+       # comment out sanity test until it is fixed to work
+       # with the new PORTAGE_PYM_PATH
+       #if [[ $ROOT == / ]] ; then
+               ## Run some minimal tests as a sanity check.
+               #local test_runner=$(find "${ED}" -name runTests)
+               #if [[ -n $test_runner && -x $test_runner ]] ; then
+                       #einfo "Running preinst sanity tests..."
+                       #"$test_runner" || die "preinst sanity tests failed"
+               #fi
+       #fi
+
+       # elog dir must exist to avoid logrotate error for bug #415911.
+       # This code runs in preinst in order to bypass the mapping of
+       # portage:portage to root:root which happens after src_install.
+       keepdir /var/log/portage/elog
+       # This is allowed to fail if the user/group are invalid for prefix 
users.
+       if chown portage:portage "${ED}"var/log/portage{,/elog} 2>/dev/null ; 
then
+               chmod g+s,ug+rwx "${ED}"var/log/portage{,/elog}
+       fi
+}
+
+pkg_postinst() {
+       einfo
+       elog "For setup instructions after switching to portage-multilib"
+       elog "read doc/portage-multilib-instructions inside the multilib 
overlay"
+       einfo
+       elog "The bin/ dir of the overlay has some scripts to switch from lib32"
+       elog "to MULTILIB_ABI or to add the default MULTILIB_ABI flags"
+
+       einfo ""
+       einfo "This release of portage NO LONGER contains the repoman code 
base."
+       einfo "Repoman has its own ebuild and release package."
+       einfo "For repoman functionality please emerge app-portage/repoman"
+       einfo "Please report any bugs you may encounter."
+       einfo ""
+}

Reply via email to